View Issue Details

IDProjectCategoryView StatusLast Update
0000423bareos-core[All Projects] Generalpublic2015-06-08 11:37
ReporterhegeAssigned To 
PrioritylowSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
PlatformSolaris10OSSolarisOS Version10
Product Version14.2.3 
Fixed in Version 
Summary0000423: Non-portable cp in Makefile.in
DescriptionMain Makefile.in has a non-portable cp option -a, which does not work with Solaris 10 for example.

  cp -a config.out build/

Suggest changing to "cp -p" which is used everywhere else in the Makefiles.
Steps To Reproduce$ gmake
scripts/git-info.sh build/
skipped: git not available
cp -a config.out build/
cp: illegal option -- a
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action

Relationships

child of 0000420 closed Release bareos-14.2.4 

Activities

There are no notes attached to this issue.

Related Changesets

bareos: master 82083a32

2015-02-04 17:18:25

joergs

Ported: N/A

Details Diff
make Makefile more portable again

Fixes 0000423: Non-portable cp in Makefile.in
Affected Issues
0000423
mod - Makefile.in Diff File

bareos2015: master 2237fb23

2015-02-04 17:18:25

Joerg Steffens


Committer: Marco van Wieringen

Ported: N/A

Details Diff
make Makefile more portable again

Fixes 0000423: Non-portable cp in Makefile.in
Affected Issues
0000423
mod - Makefile.in Diff File

Issue History

Date Modified Username Field Change
2015-02-03 16:46 hege New Issue
2015-02-04 11:43 joergs Assigned To => joergs
2015-02-04 11:43 joergs Status new => assigned
2015-02-04 17:36 joergs bareos-14.2: impact => yes
2015-02-04 17:36 joergs bareos-14.2: action => will care
2015-02-04 17:51 joergs bareos-master: impact => yes
2015-02-04 17:51 joergs bareos-master: action => will care
2015-02-04 17:51 joergs bareos-13.2: impact => no
2015-02-04 17:51 joergs bareos-12.4: impact => no
2015-03-22 10:44 joergs Changeset attached => bareos master 82083a32
2015-03-22 10:44 joergs bareos-master: action will care => fixed
2015-03-22 10:44 joergs Status assigned => resolved
2015-03-23 14:18 joergs Relationship added related to 0000420
2015-03-23 14:20 joergs Relationship deleted related to 0000420
2015-03-23 14:20 joergs Relationship added child of 0000420
2015-03-31 15:25 mvwieringen adm Assigned To joergs =>
2015-05-27 13:09 joergs bareos-14.2: action will care => fixed
2015-05-27 13:10 joergs Changeset attached => bareos2015 master 2237fb23
2015-06-08 11:37 joergs Status resolved => closed
2015-06-08 11:37 joergs Resolution open => fixed